org.apache.jmeter.protocol.http.correlation.rule

## Class JsonExtractorCorrelationRule

- java.lang.Object
- - org.apache.jmeter.protocol.http.correlation.rule.CorrelationRule
  - - org.apache.jmeter.protocol.http.correlation.rule.JsonExtractorCorrelationRule

-     public class JsonExtractorCorrelationRule
      extends CorrelationRule

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonExtractorCorrelationRule(JSONPostProcessor jsonPathExtractor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object rule)`
    `String` | `getExpr()`
    `String` | `getName()`
    `String` | `getType()`
    `int` | `hashCode()`
    `void` | `setExpr(String expr)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`

    - ### Methods inherited from class org.apache.jmeter.protocol.http.correlation.rule.CorrelationRule

      `getAttribute, getlBoundary, getrBoundary, setAttribute, setlBoundary, setrBoundary`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonExtractorCorrelationRule

          public JsonExtractorCorrelationRule(JSONPostProcessor jsonPathExtractor)

  - ### Method Detail

    - #### getExpr

          public String getExpr()

      Overrides:
        `getExpr` in class `CorrelationRule`

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `CorrelationRule`

    - #### getType

          public String getType()

      Overrides:
        `getType` in class `CorrelationRule`

    - #### setExpr

          public void setExpr(String expr)

      Overrides:
        `setExpr` in class `CorrelationRule`

    - #### setName

          public void setName(String name)

      Overrides:
        `setName` in class `CorrelationRule`

    - #### setType

          public void setType(String type)

      Overrides:
        `setType` in class `CorrelationRule`

    - #### equals

          public boolean equals(Object rule)

      Overrides:
        `equals` in class `CorrelationRule`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `CorrelationRule`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.